### Function

# Gio SrvTarget new

since: 2.22

#### Declaration

    GSrvTarget*
    g_srv_target_new (
      const gchar* hostname,
      guint16 port,
      guint16 priority,
      guint16 weight
    )

#### Description

Creates a new `GSrvTarget` with the given parameters.

You should not need to use this; normally `GSrvTargets` are created by `GResolver`.

Available since: 2.22

#### Parameters

`hostname`

  Type: `const gchar*`

  The host that the service is running on.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`port`

  Type: `guint16`

  The port that the service is running on.

`priority`

  Type: `guint16`

  The target’s priority.

`weight`

  Type: `guint16`

  The target’s weight.

#### Return value

Type: `GSrvTarget`

A new `GSrvTarget`.

The caller of the function takes ownership of the data, and is responsible for freeing it.